Show shared Gift Registry
curl --request GET \
--url https://api.consumer.younegotiate.com/gift-registryimport requests
url = "https://api.consumer.younegotiate.com/gift-registry"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.consumer.younegotiate.com/gift-registry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"profile": {
"first_name": "Donna",
"last_name": "Weaver",
"image_url": "https://api.consumer.younegotiate.com/storage/profile-images/thumbs/profile.webp"
},
"accounts": [
{
"id": 123,
"account_name": "Sadguru Shopping Center",
"company_name": "ABC Collections",
"type": "settlement",
"type_label": "Settlement",
"registry_amount": "900.00",
"registry_amount_label": "$900.00",
"payment_details": "<string>",
"monthly_amount": "80.00",
"monthly_amount_label": "$80.00",
"installment_type_label": "Monthly",
"payment_url": "https://consumer.younegotiate.com/payment?c=313233&signature=signed"
}
],
"total_amount": "1350.00",
"total_amount_label": "$1,350.00"
}
}{
"message": "Invalid or expired link."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Show shared Gift Registry
Show the public signed Gift Registry payload for a consumer share link. Sorting parameters may be appended by the frontend without changing the signed link.
GET
/
gift-registry
Show shared Gift Registry
Query Parameters
Hex-encoded consumer account ID embedded in the shared registry link.
Laravel URL signature generated by the backend.
Gift Registry table sort column.
Available options:
bill-name, balance Sort direction.
Available options:
asc, desc Response
Shared Gift Registry returned.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

